GlueGen: com.jogamp.gluegen.DebugEmitter Class Reference

GlueGen v2.6.0-rc-20250722 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
com.jogamp.gluegen.DebugEmitter Class Reference

Debug emitter which prints the parsing results to standard output. More...

Inheritance diagram for com.jogamp.gluegen.DebugEmitter:
Collaboration diagram for com.jogamp.gluegen.DebugEmitter:

## Public Member Functions

void | readConfigurationFile (final String filename) throws IOException
JavaConfiguration | getConfig ()
void | beginEmission (final GlueEmitterControls controls)
| Begin the emission of glue code. More...
void | endEmission ()
| Finish the emission of glue code. More...
void | beginDefines ()
void | emitDefine (final ConstantDefinition def, final String optionalComment)
void | endDefines ()
void | beginFunctions (final TypeDictionary typedefDictionary, final TypeDictionary structDictionary, final Map< Type, Type > canonMap, List< FunctionSymbol > cFunctions)
Iterator< FunctionSymbol > | emitFunctions (final List< FunctionSymbol > originalCFunctions) throws Exception
| Emit glue code for the list of FunctionSymbols. More...
void | emitSingleFunction (final FunctionSymbol sym)
void | endFunctions ()
void | beginStructLayout () throws Exception
| Begins the process of computing field offsets and type sizes for the structs to be emitted. More...
void | layoutStruct (final CompoundType t) throws Exception
| Lays out one struct which will be emitted later. More...
void | endStructLayout () throws Exception
| Finishes the struct layout process. More...
void | beginStructs (final TypeDictionary typedefDictionary, final TypeDictionary structDictionary, final Map< Type, Type > canonMap)
void | emitStruct (final CompoundType t, final Type typedefType)
| Emit glue code for the given CompoundType. More...
void | endStructs ()
void | readConfigurationFile (String filename) throws Exception
JavaConfiguration | getConfig ()
void | beginEmission (GlueEmitterControls controls) throws Exception
| Begin the emission of glue code. More...
void | endEmission () throws Exception
| Finish the emission of glue code. More...
void | beginDefines () throws Exception
void | emitDefine (ConstantDefinition def, String optionalComment) throws Exception
void | endDefines () throws Exception
void | beginFunctions (TypeDictionary typedefDictionary, TypeDictionary structDictionary, Map< Type, Type > canonMap, List< FunctionSymbol > cFunctions) throws Exception
Iterator< FunctionSymbol > | emitFunctions (List< FunctionSymbol > cFunctions) throws Exception
| Emit glue code for the list of FunctionSymbols. More...
void | endFunctions () throws Exception
void | beginStructLayout () throws Exception
| Begins the process of computing field offsets and type sizes for the structs to be emitted. More...
void | layoutStruct (CompoundType t) throws Exception
| Lays out one struct which will be emitted later. More...
void | endStructLayout () throws Exception
| Finishes the struct layout process. More...
void | beginStructs (TypeDictionary typedefDictionary, TypeDictionary structDictionary, Map< Type, Type > canonMap) throws Exception
void | emitStruct (CompoundType t, Type typedefType) throws Exception
| Emit glue code for the given CompoundType. More...
void | endStructs () throws Exception

## Protected Member Functions

JavaConfiguration | createConfig ()
| Create the object that will read and store configuration information for this JavaEmitter. More...

## Protected Attributes

JavaConfiguration | cfg

## Detailed Description

Debug emitter which prints the parsing results to standard output.

Definition at line 49 of file DebugEmitter.java.

## Member Function Documentation

## ◆ beginDefines()

void com.jogamp.gluegen.DebugEmitter.beginDefines | ( |  | ) |

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 72 of file DebugEmitter.java.

## ◆ beginEmission()

void com.jogamp.gluegen.DebugEmitter.beginEmission | ( | final GlueEmitterControls | controls | ) |

Begin the emission of glue code.

This might include opening files, emitting class headers, etc.

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 62 of file DebugEmitter.java.

## ◆ beginFunctions()

void com.jogamp.gluegen.DebugEmitter.beginFunctions | ( | final TypeDictionary | typedefDictionary,
|  | final TypeDictionary | structDictionary,
|  | final Map< Type, Type > | canonMap,
|  | List< FunctionSymbol > | cFunctions
| ) |  |

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 85 of file DebugEmitter.java.

Here is the call graph for this function:

## ◆ beginStructLayout()

void com.jogamp.gluegen.DebugEmitter.beginStructLayout | ( |  | ) | throws Exception

Begins the process of computing field offsets and type sizes for the structs to be emitted.

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 111 of file DebugEmitter.java.

## ◆ beginStructs()

void com.jogamp.gluegen.DebugEmitter.beginStructs | ( | final TypeDictionary | typedefDictionary,
|  | final TypeDictionary | structDictionary,
|  | final Map< Type, Type > | canonMap
| ) |  |

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 118 of file DebugEmitter.java.

## ◆ createConfig()

JavaConfiguration com.jogamp.gluegen.DebugEmitter.createConfig | ( |  | ) |

protected

Create the object that will read and store configuration information for this JavaEmitter.

Definition at line 138 of file DebugEmitter.java.

Here is the caller graph for this function:

## ◆ emitDefine()

void com.jogamp.gluegen.DebugEmitter.emitDefine | ( | final ConstantDefinition | def,
|  | final String | optionalComment
| ) |  |

Parameters

  optionalComment | If optionalComment is non-null, the emitter can emit that string as a comment providing extra information about the define.

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 75 of file DebugEmitter.java.

Here is the call graph for this function:

## ◆ emitFunctions()

Iterator< FunctionSymbol > com.jogamp.gluegen.DebugEmitter.emitFunctions | ( | final List< FunctionSymbol > | cFunctions | ) | throws Exception

Emit glue code for the list of FunctionSymbols.

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 97 of file DebugEmitter.java.

Here is the call graph for this function:

## ◆ emitSingleFunction()

void com.jogamp.gluegen.DebugEmitter.emitSingleFunction | ( | final FunctionSymbol | sym | ) |

Definition at line 103 of file DebugEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitStruct()

void com.jogamp.gluegen.DebugEmitter.emitStruct | ( | final CompoundType | t,
|  | final Type | typedefType
| ) |  |

Emit glue code for the given CompoundType.

typedefType is provided when the CompoundType (e.g. "struct foo_t") has not been typedefed to anything but the type of "pointer to struct foo_t" has (e.g. "typedef struct foo_t {} *Foo"); in this case typedefType would be set to pointer type Foo.

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 122 of file DebugEmitter.java.

Here is the call graph for this function:

## ◆ endDefines()

void com.jogamp.gluegen.DebugEmitter.endDefines | ( |  | ) |

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 82 of file DebugEmitter.java.

## ◆ endEmission()

void com.jogamp.gluegen.DebugEmitter.endEmission | ( |  | ) |

Finish the emission of glue code.

This might include closing files, closing open class definitions, etc.

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 67 of file DebugEmitter.java.

## ◆ endFunctions()

void com.jogamp.gluegen.DebugEmitter.endFunctions | ( |  | ) |

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 108 of file DebugEmitter.java.

## ◆ endStructLayout()

void com.jogamp.gluegen.DebugEmitter.endStructLayout | ( |  | ) | throws Exception

Finishes the struct layout process.

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 115 of file DebugEmitter.java.

## ◆ endStructs()

void com.jogamp.gluegen.DebugEmitter.endStructs | ( |  | ) |

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 132 of file DebugEmitter.java.

## ◆ getConfig()

JavaConfiguration com.jogamp.gluegen.DebugEmitter.getConfig | ( |  | ) |

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 59 of file DebugEmitter.java.

## ◆ layoutStruct()

void com.jogamp.gluegen.DebugEmitter.layoutStruct | ( | final CompoundType | t | ) | throws Exception

Lays out one struct which will be emitted later.

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 113 of file DebugEmitter.java.

## ◆ readConfigurationFile()

void com.jogamp.gluegen.DebugEmitter.readConfigurationFile | ( | final String | filename | ) | throws IOException

Implements com.jogamp.gluegen.GlueEmitter.

Definition at line 53 of file DebugEmitter.java.

Here is the call graph for this function:

## Member Data Documentation

## ◆ cfg

JavaConfiguration com.jogamp.gluegen.DebugEmitter.cfg

protected

Definition at line 50 of file DebugEmitter.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/DebugEmitter.java